## com.lowagie.bc.asn1
Class DEREncodableVector

    java.lang.Object
      com.lowagie.bc.asn1.DEREncodableVector

Direct Known Subclasses:
  ASN1EncodableVector

public class DEREncodableVector
extends Object

a general class for building up a vector of DER encodable objects - this will eventually be superceded by ASN1EncodableVector so you should use that class in preference.

Field Summary
`private Vector` `v`

Constructor Summary
`DEREncodableVector()`

Method Summary
`void` `add(DEREncodable obj)`
`DEREncodable` `get(int i)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v

    private Vector v

Constructor Detail

### DEREncodableVector

    public DEREncodableVector()

Method Detail

### add

    public void add(DEREncodable obj)

### get

    public DEREncodable get(int i)

### size

    public int size()